/*!
 * @file new_class_id.h
 * @brief Definition of a dynamically allocating ClassID
 *
 */

#ifndef _NEW_CLASS_ID_H
#define _NEW_CLASS_ID_H

#include "type_info.h"
#include <set>
#include <string>

#include "new_object_list.h"

//! A class to dynamically allocate ClassID's and support a isA operator
class NewClassID
{
public:
  NewClassID();
  ~NewClassID();

  void registerObject(NewObjectListBase* object);

private:
  std::string                   _className;

};


#endif /* _NEW_CLASS_ID_H */
